package com.mt.wms.basic.service;

import com.mt.wms.basic.params.AlarmBaseParam;
import com.mt.wms.basic.params.AlarmBaseQueryParam;
import com.mt.wms.basic.params.CraftInfoParam;
import com.mt.wms.basic.params.CraftInfoQueryParam;
import com.mt.wms.basic.vo.AlarmBaseVo;
import com.mt.wms.basic.vo.CraftInfoVo;
import com.mt.wms.core.dal.entity.CraftInfo;
import com.mt.wms.core.params.IdParam;
import com.mt.wms.core.vo.IdVo;
import com.mt.wms.core.vo.PageVo;
import com.mt.wms.core.vo.R;

import java.util.List;

/**
 * @Author: liguanghao
 * @Date: 2021/10/9 10:46
 * @Version 1.0
 */
public interface CraftInfoService {

    /**
     * 获取xx
     *
     * @param idParam 主键参数
     * @return xx
     */
    R<CraftInfoVo> get(IdParam idParam);

    /**
     * 获取xx列表
     *
     * @param craftInfoQueryParam xx查询参数
     * @return xx列表
     */
    R<List<CraftInfoVo>> list(CraftInfoQueryParam craftInfoQueryParam);

    /**
     * 获取xx分页列表
     *
     * @param craftInfoQueryParam xx查询参数
     * @return xx分页列表
     */
    R<PageVo<CraftInfoVo>> page(CraftInfoQueryParam craftInfoQueryParam);


    /**
     * 新增xx
     *
     * @param craftInfoParam xx参数
     * @return 主键
     */
    R<IdVo> add(CraftInfoParam craftInfoParam);

    /**
     * 更新xx
     *
     * @param craftInfoParam xx参数
     * @return 主键
     */
    R<IdVo> update(CraftInfoParam craftInfoParam);


    /**
     * 删除xx
     *
     * @param idParam 主键参数
     * @return 主键
     */
    R<IdVo> delete(IdParam idParam);
}
