package com.mt.wms.basic.vo;

import com.mt.wms.core.base.BaseVo;
import com.mt.wms.core.validator.groups.UpdateGroup;
import com.mt.wms.core.vo.PageVo;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Builder;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import javax.validation.constraints.NotNull;

/**
 * @Author: liguanghao
 * @Date: 2021/9/29 9:54
 * @Version 1.0
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@Builder
@ApiModel(value = "缓存区视图对象", description = "用于查询缓存区信息")
public class AlarmBaseVo extends BaseVo implements PageVo.ConvertVo{
    /**
     * 主键，自增
     */
    @ApiModelProperty(value = "主键，更新时需要填写", example = "1")
    private Long id;

    /**
     * 编码
     */
    @ApiModelProperty(value = "编码", example = "1")
    private String  code;

    /**
     * 报警类型
     */
    @ApiModelProperty(value = "报警类型", example = "1")
    private String alarmClass;

    /**
     * 报警内容
     */
    @ApiModelProperty(value = "报警内容", example = "1")
    private String alarmInfo;

    /**
     * 备注
     */
    @ApiModelProperty(value = "备注", example = "1")
    private String note;

    /**
     * 描述
     */
    @ApiModelProperty(value = "描述", example = "1")
    private String description;
}
