package com.mt.wms.core.config;

import lombok.Data;
import org.springframework.boot.context.properties.ConfigurationProperties;
import org.springframework.stereotype.Component;
import org.springframework.validation.annotation.Validated;

/**
 * <p>
 *     腾讯云公共配置
 * </p>
 *
 * @author Mr.ZhangShi
 * @version 1.0
 * @date 2020/8/10
 */
@Component
@ConfigurationProperties(prefix = "wms.tencentcloud")
@Data
public class TencentCloudConfig {

    /**
     * 账户id
     */
    private String secretId;

    /**
     * 账户密钥
     */
    private String secretKey;
}
