package com.mt.wms.core.dal.entity;

import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import com.baomidou.mybatisplus.annotation.Version;
import com.baomidou.mybatisplus.annotation.TableField;
import java.io.Serializable;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * <p>
 * PLC变量nameSpace对照表
 * </p>
 *
 * @author mt
 * @since 2022-02-28
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@TableName("t_plc_name_space")
public class PlcNameSpace extends Model<PlcNameSpace> {

    private static final long serialVersionUID = 1L;

    /**
     * id
     */
    @TableField("id")
    private Long id;

    /**
     * 设备类型，1：多用加工炉，2：氮化炉，3：回火炉，4：清洗机，5:rgv
     */
    @TableField("eq_type")
    private Integer eqType;

    /**
     * 变量名称
     */
    @TableField("name")
    private String name;

    /**
     * 变量的含义
     */
    @TableField("note")
    private String note;

    /**
     * 设备id
     */
    @TableField("eq_id")
    private Long eqId;

    /**
     * 设备名称
     */
    @TableField("eq_name")
    private String eqName;

    /**
     * 变量类型，0：变量，1：报警变量
     */
    @TableField("type")
    private Integer type;

    /**
     * 备注
     */
    @TableField("remark")
    private String remark;


    public static final String ID = "id";

    public static final String EQ_TYPE = "eq_type";

    public static final String NAME = "name";

    public static final String NOTE = "note";

    public static final String EQ_ID = "eq_id";

    public static final String EQ_NAME = "eq_name";

    public static final String TYPE = "type";

    public static final String REMARK = "remark";

    @Override
    protected Serializable pkVal() {
        return null;
    }

}
