/*
 * Copyright (c) 2018.
 * http://www.ulabcare.com
 */

package com.mt.wms.core.dto;


import com.mt.wms.core.base.BaseDto;
import lombok.Builder;
import lombok.Data;

import java.util.Date;

/**
 * api调用日志传输对象
 *
 * @author jiff
 * @date 2018/11/1
 * @since 1.0
 */
@Data
@Builder
public class ApiLogDto extends BaseDto {
    private String sessionId;
    private Long passportUserId;
    private Long userId;
    private String userName;
    private int userType;

    private String ip;
    /**
     * 用户代理
     */
    private String userAgent;
    /**
     * 请求地址
     */
    private String url;
    /**
     * 操作方式
     */
    private String method;

    /**
     * 操作提交的数据
     */
    private String params;

    /**
     * 异常信息
     */
    private String exception;

    /**
     * 请求时间
     */
    private Date time;

    /**
     * 执行时长
     */
    private long duration;
}
