package com.mt.wms.core.params;

import com.mt.wms.core.base.BaseParam;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.Pattern;

/**
 * <p>
 *
 * </P>
 *
 * @author FanYi
 * @date 2020/7/13
 * @since 1.0
 */
@ApiModel("查询验证码是否有效入参")
@EqualsAndHashCode(callSuper = true)
@Data
public class SmsCaptchaParam extends BaseParam {
    @ApiModelProperty(value = "手机号码", required = true, example = "17621022121")
    @NotBlank(message = "手机号码必填！")
    @Pattern(regexp = "^1[3-9]\\d{9}$", message = "手机号码格式不正确")
    private String mobile;

    @ApiModelProperty(value = "验证码", required = true)
    @NotBlank(message = "验证码必填！")
    private String code;
}
