/*
 * Copyright (c) 2018.
 * http://www.ulabcare.com
 */

package com.mt.wms.empty.enums;


import com.mt.wms.core.base.IEnum;

/**
 * 订单来源信息 1.APMS 2.人工
 *
 * @author xcc
 * @date 2021/6/17 15:44
 */
public enum OrderSourceEnum implements IEnum<Integer> {
    /**
     * APMS
     */
    APMS(1, "APMS"),
    /**
     * 人工
     */
    PERSON(2, "人工");

    private final Integer value;
    private final String label;
    private final String remark;

    OrderSourceEnum(final Integer value, final String label) {
        this(value, label, null);
    }

    OrderSourceEnum(final Integer value, final String label, final String remark) {
        this.value = value;
        this.label = label;
        this.remark = remark;
    }

    /**
     * @return 数据值
     */
    @Override
    public Integer getValue() {
        return value;
    }
    /**
     * @return 标签名
     */
    @Override
    public String getLabel() {
        return label;
    }

    /**
     * @return 备注
     */
    @Override
    public String getRemark() {
        return remark;
    }
}
