package com.mt.wms.empty.params;

import com.mt.wms.core.base.BaseParam;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * @author xcc
 * @date 2021年11月8日
 * @since 1.0
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@ApiModel(value = "apms订单对象", description = "用于APMS推送新的订单信息")
public class OrderParamForApms extends BaseParam {

    private static final long serialVersionUID = 1L;

    /**
     * 订单号，APMS系统获取
     */
    @ApiModelProperty(value = "订单号", required = true)
    private String orderNo;
    /**
     * 原订单号，一般为空，如果存在信息，则为返工单 APMS系统获取
     */
    @ApiModelProperty(value = "原订单号", required = false)
    private String oldOrderNo;

    /**
     * 标识卡号，APMS系统获取
     */
    @ApiModelProperty(value = "标识卡号", required = true)
    private String idenCardNum;

    /**
     * 客户编码 APMS系统获取
     */
   @ApiModelProperty(value = "客户编码")
    private String customerNo;

    /**
     * 客户名称 APMS系统获取
     */
   @ApiModelProperty(value = "客户名称")
    private String customerName;

    /**
     * 产品名称 APMS系统获取
     */
   @ApiModelProperty(value = "产品名称")
    private String productName;

    /**
     * 产品型号 APMS系统获取
     */
   @ApiModelProperty(value = "产品型号")
    private String productModel;

    /**
     * 材料牌号 APMS系统获取
     */
    @ApiModelProperty(value = "材料牌号")
    private String materialDes;

    /**
     * 工艺要求 APMS系统获取
     */
    @ApiModelProperty(value = "工艺要求")
    private String craftIll;

    @ApiModelProperty(value = "加工数量", required = true)
    private Float quantity;

    @ApiModelProperty(value = "加工重量", required = true)
    private Float weight;

    @ApiModelProperty(value = "单位")
    private String unit;

    /**
     * 技术要求 APMS系统获取
     */
    @ApiModelProperty(value = "技术要求")
    private String techRequest;

}
