package com.mt.wms.empty.params;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.mt.wms.core.params.BasePageParam;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.time.LocalDateTime;

/**
 * @author xcc
 * @date 2021年11月9日
 * @since 1.0
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@ApiModel(value = "获取任务信息", description = "获取任务信息")
public class TaskHisQueryParam extends BasePageParam {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "加工炉id")
    private String kilnId;
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @ApiModelProperty(value = "开始时间", example = "2021-11-20T12:05:20")
    private LocalDateTime startTime;
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @ApiModelProperty(value = "结束时间", example = "2021-11-25T12:05:20")
    private LocalDateTime endTime;
    @ApiModelProperty(value = "生产单号", example = "1219391")
    private String sheetNo;

    @ApiModelProperty(value = "炉号", example = "BMA1-01-200011030001")
    private String stoveCode;
}
