package com.mt.wms.empty.vo;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.Version;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Builder;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.time.LocalDateTime;

/**
 * @Author: LGH
 * @Date: 2022/11/17
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@Builder
@ApiModel(value = "APMS检验结果视图对象", description = "用于查询APMS检验结果视图对象")
public class ApmsCheckResultVo {

    /**
     * 添加时间，入库时间
     */
    @ApiModelProperty(value = "创建时间", example = "1")
    private LocalDateTime createTime;

    /**
     * 生产单号
     */
    @ApiModelProperty(value = "生产单号", example = "1")
    private String sheetNo;

    /**
     * 炉号
     */
    @ApiModelProperty(value = "炉号", example = "1")
    private String stoveCode;

    /**
     * 标识卡号
     */
    @ApiModelProperty(value = "标识卡号", example = "1")
    private String idenCardNum;

    /**
     * 硬度检验结果（待检验、合格、不合格、返工、作废）
     */
    @ApiModelProperty(value = "硬度检验结果（待检验、合格、不合格、返工、作废）", example = "1")
    private String hardness;

    /**
     * 金相检验结果（合格、不合格）
     */
    @ApiModelProperty(value = "金相检验结果（合格、不合格）", example = "1")
    private String metallography;

    /**
     * 心部硬度检验值
     */
    @ApiModelProperty(value = "心部硬度检验值", example = "1")
    private String heartHardness;

    /**
     * 备注，特殊注释等
     */
    @ApiModelProperty(value = "备注", example = "1")
    private String remake;

    /**
     * 硬度检验结果1
     */
    @ApiModelProperty(value = "硬度检验结果1", example = "1")
    private String hardnessValueOne;

    /**
     * 硬度检验结果2
     */
    @ApiModelProperty(value = "硬度检验结果2", example = "1")
    private String hardnessValueTwo;

    /**
     * 硬度检验结果3
     */
    @ApiModelProperty(value = "硬度检验结果3", example = "1")
    private String hardnessValueThree;

    /**
     * 金相检验渗碳淬火 渗碳层深度
     */
    @ApiModelProperty(value = "金相检验渗碳淬火 渗碳层深度", example = "1")
    private Float metallographyStchStccsd;

    /**
     * 金相检验渗碳淬火 表面为马氏体、残余奥氏体（级）
     */
    @ApiModelProperty(value = "金相检验渗碳淬火 表面为马氏体、残余奥氏体（级）", example = "1")
    private String metallographyStchMstost;

    /**
     * 金相检验渗碳淬火 细小颗粒状碳化物
     */
    @ApiModelProperty(value = "金相检验渗碳淬火 细小颗粒状碳化物", example = "1")
    private String metallographyStchXxklzthw;

    /**
     * 金相检验渗碳淬火 心部为低碳马氏体加游离铁素体（级）
     */
    @ApiModelProperty(value = "金相检验渗碳淬火 心部为低碳马氏体加游离铁素体（级）", example = "1")
    private String metallographyStchDtmstyltst;

    /**
     * 金相检验整体淬火 基体为回火马氏体（级）
     */
    @ApiModelProperty(value = "金相检验整体淬火 基体为回火马氏体（级）", example = "1")
    private String metallographyZtchHhmst;

    /**
     * 金相检验整体淬火 基体为回火托式体（级）
     */
    @ApiModelProperty(value = "金相检验整体淬火 基体为回火托式体（级）", example = "1")
    private String metallographyZtchHhtst;

    /**
     * 金相检验整体淬火 基体为回火素式体（级）
     */
    @ApiModelProperty(value = "金相检验整体淬火 基体为回火素式体（级）", example = "1")
    private String metallographyZtchHhsst;

    /**
     * 金相检验氮化 表面亮白色的为氮化合物层深
     */
    @ApiModelProperty(value = "金相检验氮化 表面亮白色的为氮化合物层深", example = "1")
    private Float metallographyDhDhhwcs;

    /**
     * 金相检验氮化 向内为扩散层深
     */
    @ApiModelProperty(value = "金相检验氮化 向内为扩散层深", example = "1")
    private Float metallographyDhKscs;

    /**
     * 金相检验氮化 心部
     */
    @ApiModelProperty(value = "金相检验氮化 心部", example = "1")
    private String metallographyDhXb;

    /**
     * 金相检验表面淬火 表面为板条马氏体（级）
     */
    @ApiModelProperty(value = "金相检验表面淬火 表面为板条马氏体（级）", example = "1")
    private String metallographyBmchBtmst;

    /**
     * 金相检验表面淬火 心部
     */
    @ApiModelProperty(value = "金相检验表面淬火 心部", example = "1")
    private String metallographyBmchXb;

    /**
     * 金相检验 备注
     */
    @ApiModelProperty(value = "金相检验 备注", example = "1")
    private String metallographyBz;

    /**
     * 金相检验心部硬度 心部硬度检验结果
     */
    @ApiModelProperty(value = "金相检验心部硬度 心部硬度检验结果", example = "1")
    private Float metallographyXbydXbydjyjg;
}
