package com.mt.wms.empty.vo;

import com.mt.wms.core.base.BaseVo;
import io.swagger.annotations.ApiModel;
import lombok.Builder;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * @author xcc
 * @date 2021年11月8日
 * @since 1.0
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@Builder
@ApiModel(value = "APMS返回完成生产单信息", description = "APMS返回完成生产单信息")
public class ApmsFinishProcessSheetVo extends BaseVo {
    /**
     * 返回消息,返回false时为失败原因
     */
    private String msg;

    /**
     * 是否成功
     */
    private Boolean success;

    /**
     * 生产单编号,创建成功后返回,需要记录此生产单编号,加工过程处理及结束加工处理需要传入此生产单编号
     */
    private String sheetNo;

    /**
     * 返回状态编码:00-正常,01-token失败,02-参数错误,03-其他错误
     */
    private String statusCode;
}
