package com.mt.wms.empty.vo;

import com.mt.wms.core.base.BaseVo;
import com.mt.wms.core.vo.PageVo;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Builder;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.time.LocalDateTime;

/**
 * @Author: liguanghao
 * @Date: 2022/3/3 22:56
 * @Version 1.0
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@Builder
@ApiModel(value = "自动任务视图对象", description = "用于查询自动任务信息")
public class AutoTaskVo extends BaseVo implements PageVo.ConvertVo{
    /**
     * 主键，自增
     */
    @ApiModelProperty(value = "主键", example = "1")
    private Long id;
    /**
     * 添加时间
     */
    @ApiModelProperty(value = "添加时间", example = "0")
    private LocalDateTime createTime;
    /**
     * 编码
     */
    @ApiModelProperty(value = "编码",example = "0")
    private String interCode;
    /**
     * 工艺类型，1表示第一种工艺流程，2表示第二种工艺流程
     */
    @ApiModelProperty(value = "工艺类型，1表示第一种工艺流程，2表示第二种工艺流程",example = "0")
    private Integer processFlowType;
    /**
     * 状态，0：新增，1：执行中，2完成
     */
    @ApiModelProperty(value = "状态，0：新增，1：执行中，2完成",example = "0")
    private Integer status;

    /**
     * 执行任务ID，关联任务表：t_curr_task
     */
    @ApiModelProperty(value = "执行任务ID，关联任务表：t_curr_task",example = "0")
    private Long fTaskId;

    /**
     * 任务编码,子任务编码对应任务表t_curr_task中task_code编码
     */
    @ApiModelProperty(value = "任务编码,子任务编码对应任务表t_curr_task中task_code编码",example = "0")
    private String fDetTaskCode;

    /**
     * 设备类型ID，关联设备类型表：t_equipment_type
     */
    @ApiModelProperty(value = "设备类型ID，关联设备类型表：t_equipment_type",example = "0")
    private Long fEquipmentTypeId;

    /**
     * 设备ID，关联设备表：t_kiln_info
     */
    @ApiModelProperty(value = "设备ID，关联设备表：t_kiln_info",example = "0")
    private Long fEquipmentId;

    /**
     * 设备名称（炉子名称）
     */
    @ApiModelProperty(value = "设备名称（炉子名称）",example = "0")
    private String fEquipmentName;

    /**
     * 工艺号ID，关联工艺号表：t_craft_info
     */
    @ApiModelProperty(value = "工艺号ID，关联工艺号表：t_craft_info",example = "0")
    private Long fCraftCodeId;

    /**
     * 工艺号对应PLC值
     */
    @ApiModelProperty(value = "工艺号对应PLC值",example = "0")
    private Integer fPlcValue;

    /**
     * 进炉运输状态，0：开始，1：运输中，2：运输完成
     */
    @ApiModelProperty(value = "进炉运输状态，0：开始，1：运输中，2：运输完成",example = "0")
    private Integer fInTranStatus;

    /**
     * 加工状态，0：加工开始，1：加工中，2：加工完成
     */
    @ApiModelProperty(value = "加工状态，0：加工开始，1：加工中，2：加工完成",example = "0")
    private Integer fProStatus;

    /**
     * 出炉运输状态，0：开始，1：运输中，2：运输完成
     */
    @ApiModelProperty(value = "出炉运输状态，0：开始，1：运输中，2：运输完成",example = "0")
    private Integer fOutTranStatus;

    /**
     * 执行任务ID，关联任务表：t_curr_task
     */
    @ApiModelProperty(value = "执行任务ID，关联任务表：t_curr_task",example = "0")
    private Long tTaskId;

    /**
     * 任务编码,子任务编码对应任务表t_curr_task中task_code编码
     */
    @ApiModelProperty(value = "任务编码,子任务编码对应任务表t_curr_task中task_code编码",example = "0")
    private String tDetTaskCode;

    /**
     * 设备类型ID，关联设备类型表：t_equipment_type
     */
    @ApiModelProperty(value = "设备类型ID，关联设备类型表：t_equipment_type",example = "0")
    private Long tEquipmentTypeId;

    /**
     * 设备名称
     */
    @ApiModelProperty(value = "设备名称",example = "0")
    private String tEquipmentName;

    /**
     * 设备ID，关联设备表：t_kiln_info
     */
    @ApiModelProperty(value = "设备ID，关联设备表：t_kiln_info",example = "0")
    private Long tEquipmentId;

    /**
     * 工艺号ID，关联工艺号表：t_craft_info
     */
    @ApiModelProperty(value = "工艺号ID，关联工艺号表：t_craft_info",example = "0")
    private Long tCraftCodeId;

    /**
     * 工艺号对应PLC值
     */
    @ApiModelProperty(value = "工艺号对应PLC值",example = "0")
    private Integer tPlcValue;

    /**
     * 进炉运输状态，0：开始，1：运输中，2：运输完成
     */
    @ApiModelProperty(value = "进炉运输状态，0：开始，1：运输中，2：运输完成",example = "0")
    private Integer tInTranStatus;

    /**
     * 加工状态，0：加工开始，1：加工中，2：加工完成
     */
    @ApiModelProperty(value = "加工状态，0：加工开始，1：加工中，2：加工完成",example = "0")
    private Integer tProStatus;

    /**
     * 出炉运输状态，0：开始，1：运输中，2：运输完成
     */
    @ApiModelProperty(value = "出炉运输状态，0：开始，1：运输中，2：运输完成",example = "0")
    private Integer tOutTranStatus;

    /**
     * 执行任务ID，关联任务表：t_curr_task
     */
    @ApiModelProperty(value = "执行任务ID，关联任务表：t_curr_task",example = "0")
    private Long thTaskId;

    /**
     * 任务编码,子任务编码对应任务表t_curr_task中task_code编码
     */
    @ApiModelProperty(value = "任务编码,子任务编码对应任务表t_curr_task中task_code编码",example = "0")
    private String thDetTaskCode;

    /**
     * 设备类型ID，关联设备类型表：t_equipment_type
     */
    @ApiModelProperty(value = "设备类型ID，关联设备类型表：t_equipment_type",example = "0")
    private Long thEquipmentTypeId;

    /**
     * 设备名称
     */
    @ApiModelProperty(value = "设备名称",example = "0")
    private String thEquipmentName;

    /**
     * 设备ID，关联设备表：t_kiln_info
     */
    @ApiModelProperty(value = "设备ID，关联设备表：t_kiln_info",example = "0")
    private Long thEquipmentId;

    /**
     * 工艺号ID，关联工艺号表：t_craft_info
     */
    @ApiModelProperty(value = "工艺号ID，关联工艺号表：t_craft_info",example = "0")
    private Long thCraftCodeId;

    /**
     * 工艺号对应PLC值
     */
    @ApiModelProperty(value = "工艺号对应PLC值",example = "0")
    private Integer thPlcValue;

    /**
     * 进炉运输状态，0：开始，1：运输中，2：运输完成
     */
    @ApiModelProperty(value = "进炉运输状态，0：开始，1：运输中，2：运输完成",example = "0")
    private Integer thInTranStatus;

    /**
     * 加工状态，0：加工开始，1：加工中，2：加工完成
     */
    @ApiModelProperty(value = "加工状态，0：加工开始，1：加工中，2：加工完成",example = "0")
    private Integer thProStatus;

    /**
     * 出炉运输状态，0：开始，1：运输中，2：运输完成
     */
    @ApiModelProperty(value = "出炉运输状态，0：开始，1：运输中，2：运输完成",example = "0")
    private Integer thOutTranStatus;

    /**
     * 备注
     */
    @ApiModelProperty(value = "备注",example = "0")
    private String content;
}
