package com.mt.wms.empty.vo;

import com.mt.wms.core.base.BaseVo;
import com.mt.wms.core.vo.PageVo;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Builder;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.time.LocalDateTime;

/**
 * @Author: liguanghao
 * @Date: 2022/3/4 10:47
 * @Version 1.0
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@Builder
@ApiModel(value = "消耗数据视图对象", description = "用于查询消耗数据")
public class ConsumeDataVo  extends BaseVo implements PageVo.ConvertVo{
    /**
     * 时间
     */
    @ApiModelProperty(value = "时间", example = "0")
    private LocalDateTime createTime;
    /**
     * 消耗值
     */
    @ApiModelProperty(value = "消耗值",example = "0.0")
    private Float value;
    /**
     * 单位
     */
    @ApiModelProperty(value = "单位",example = "0.0")
    private String unit;

    /**
     * 名称
     */
    @ApiModelProperty(value = "名称",example = "0.0")
    private String name;
}
