package com.mt.wms.empty.vo;

import com.mt.wms.core.base.BaseVo;
import com.mt.wms.core.vo.PageVo;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Builder;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.util.ArrayList;

/**
 * @author xcc
 * @date 2021年11月8日
 * @since 1.0
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@Builder
@ApiModel(value = "首页当前任务信息", description = "首页当前任务信息")
public class CurrTaskMainQueryVo extends BaseVo implements PageVo.ConvertVo {
    @ApiModelProperty(value = "id")
    private Long id;

    /**
     * 任务编码, 查看任务编码规则
     */
    @ApiModelProperty("任务编码")
    private String taskCode;
    /**
     * 标识卡集
     */
    @ApiModelProperty("标识卡集")
    private ArrayList<String> idens;
    /**
     * 物料集 材料集?
     */
    @ApiModelProperty("物料集")
    private ArrayList<String> materials;
    /**
     * 客户集
     */
    @ApiModelProperty("客户集")
    private ArrayList<String> customers;

    /**
     * 状态：	0等待执行，1执行中，2执行完成，3追加后完成（追加后就按完成来算）
     */
    private Integer status;

    /**
     * 任务类型：0:入库到工业炉，1:入库到缓存区，2出库到	工业炉到缓存区，3缓存区出库
     */
    @ApiModelProperty("任务类型")
    private Integer taskType;

    /**
     * 是否自动执行：	0手动，1自动，如果是自动任务这里要监控进出和到缓存区的调度任务
     */
    @ApiModelProperty("是否自动执行：手动，1自动")
    private Integer is_auto;
    /**
     * 开始位置
     */
    @ApiModelProperty("开始位置")
    private String startPosition;

    /**
     * 目标位置指的是工业炉的位置
     */
    @ApiModelProperty("工业炉位置")
    private String targetPosition;
    /**
     * 库位
     */
    @ApiModelProperty("库位")
    private String locationName;
    /**
     * 库位
     */
    @ApiModelProperty("库位id")
    private Long locationId;
    /**
     * 工业炉名称
     */
    @ApiModelProperty("工业炉名称")
    private String kilnName;
}
