package com.mt.wms.empty.vo;

import com.mt.wms.core.base.BaseVo;
import com.mt.wms.core.vo.PageVo;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Builder;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.util.List;

/**
 * @Author: LGH
 * @Date: 2022/4/12
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@Builder
@ApiModel(value = "当前正在加工炉任务详情视图对象", description = "用于查询当前正在加工炉任务详情")
public class NowCurrTaskDetVo extends BaseVo implements PageVo.ConvertVo{
    /**
     * 主键，自增
     */
    @ApiModelProperty(value = "主键", example = "1")
    private Long id;
    /**
     * currtask任务code
     */
    @ApiModelProperty(value = "currtask任务code",example = "0")
    private String taskCode;
    /**
     * 生产单号
     */
    @ApiModelProperty(value = "生产单号",example = "0")
    private String sheetNo;

    /**
     * 炉子id
     */
    @ApiModelProperty(value = "炉子id",example = "0")
    private Long kilnId;
    /**
     * 炉子code
     */
    @ApiModelProperty(value = "炉子code",example = "0")
    private String kilnCode;
    /**
     * 工艺plc值
     */
    @ApiModelProperty(value = "工艺plc值",example = "0")
    private Integer plcValue;

    /**
     * 工艺设定时间
     */
    @ApiModelProperty(value = "工艺设定时间",example = "0")
    private Integer setupTime;

    /**
     * 工艺剩余时间
     */
    @ApiModelProperty(value = "工艺剩余时间",example = "0")
    private Integer remainingTime;
    /**
     * 工艺进度
     */
    @ApiModelProperty(value = "工艺进度",example = "0")
    private Integer completeness;

    /**
     * 标识卡list
     */
    @ApiModelProperty(value = "标识卡list",example = "0")
    private List<CurrTaskDetVo> currTaskDetVoList;
}
