package com.mt.wms.empty.vo;

import com.mt.wms.core.base.BaseVo;
import com.mt.wms.core.vo.PageVo;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Builder;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.time.LocalDateTime;

/**
 *
 * @author xcc
 * @date 2021年11月8日
 * @since 1.0
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@Builder
@ApiModel(value = "订单视图对象", description = "用于返回订单信息")
public class OrderInfoVo extends BaseVo implements PageVo.ConvertVo {
    /**
     * 主键，自增
     */
    @ApiModelProperty(value = "主键")
    private Long id;

    @ApiModelProperty(value = "订单状态")
    private Integer orderVoid;

    /**
     * 添加时间，每次修改记录要更新记录新增时间
     */
    @ApiModelProperty(value = "添加时间")
    private LocalDateTime createTime;

    /**
     * 修改时间，更具修改时间来判断下次执行顺序，第一次修改时间和新增时间相同
     */
    @ApiModelProperty(value = "修改时间")
    private LocalDateTime updateTime;
    /**
     * 状态：	0等待执行，1执行中，2执行完成
     */
    @ApiModelProperty(value = "状态")
    private Integer status;
    /**
     * 编码
     */
    @ApiModelProperty(value = "编码")
    private String code;

    /**
     * 订单号，APMS系统获取
     */
    @ApiModelProperty(value = "订单号")
    private String orderNo;

    /**
     * 标识卡号，APMS系统获取
     */
    @ApiModelProperty(value = "标识卡号")
    private String idenCardNum;

    /**
     * 客户编码 APMS系统获取
     */
    @ApiModelProperty(value = "客户编码")
    private String customerNo;

    /**
     * 客户名称 APMS系统获取
     */
    @ApiModelProperty(value = "客户名称")
    private String customerName;

    /**
     * 产品名称 APMS系统获取
     */
    @ApiModelProperty(value = "产品名称")
    private String productName;

    /**
     * 产品型号 APMS系统获取
     */
    @ApiModelProperty(value = "产品型号")
    private String productModel;

    /**
     * 材料牌号 APMS系统获取
     */
    @ApiModelProperty(value = "材料牌号")
    private String materialDes;

    /**
     * 工艺要求 APMS系统获取
     */
    @ApiModelProperty(value = "工艺要求")
    private String craftIll;

    /**
     * 单位
     */
    @ApiModelProperty(value = "单位")
    private String unit;

    /**
     * 重量
     */
    @ApiModelProperty(value = "重量")
    private Float weight;

    /**
     * 数量
     */
    @ApiModelProperty(value = "数量")
    private Float quantity;

    /**
     * 重量
     */
    @ApiModelProperty(value = "完成加工重量")
    private Float finishWeight;

    /**
     * 数量
     */
    @ApiModelProperty(value = "完成加工数量")
    private Float finishQuantity;

    /**
     * 待加工重量 任务创建等待中
     */
    @ApiModelProperty(value = "等待重量")
    private Float waitWeight;

    /**
     * 待加工数量 任务创建等待中
     */
    @ApiModelProperty(value = "等待数量")
    private Float waitQuantity;

    /**
     * 返工重量 返工单中计算的值
     */
    @ApiModelProperty(value = "返工重量")
    private Float reProcessWeight;

    /**
     * 返工数量 返工单中计算的值
     */
    @ApiModelProperty(value = "返工数量")
    private Float reProcessQuantity;

    /**
     * 剩余重量
     */
    @ApiModelProperty(value = "返工重量")
    private Float surplusWeight;

    /**
     * 剩余数量
     */
    @ApiModelProperty(value = "返工数量")
    private Float surplusQuantity;


}
