/*
 * Copyright (c) 2018.
 * http://www.ulabcare.com
 */

package com.mt.wms.upms.params;

import com.mt.wms.core.base.BaseParam;
import com.mt.wms.core.validator.groups.UpdateGroup;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;

/**
 * <p>
 * 服务表
 * </p>
 *
 * @author jiff
 * @date 2018/11/22
 * @since 1.0
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@ApiModel(value = "服务表", description = "用于新增和更新服务信息")
public class ServiceParam extends BaseParam {

    private static final long serialVersionUID = 1L;
    /**
     * 主键，自增
     */
    @ApiModelProperty(value = "主键，更新时需要填写", example = "1")
    @NotNull(message = "服务ID不能为空", groups = {UpdateGroup.class})
    private Long id;

    /**
     * 编码
     */
    @ApiModelProperty(value = "编码", required = true, example = "lis-passport")
    @NotBlank(message = "编码不能为空")
    private String code;

    /**
     * 名称
     */
    @ApiModelProperty(value = "名称", required = true, example = "统一认证服务")
    @NotBlank(message = "名称不能为空")
    private String name;

    /**
     * 备注
     */
    @ApiModelProperty("备注")
    private String remark;


}
