/*
 * Copyright (c) 2018.
 * http://www.ulabcare.com
 */

package com.mt.wms.upms.params;

import com.mt.wms.core.params.BasePageParam;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Builder;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * <p>
 * 服务
 * </p>
 *
 * @author jiff
 * @date 2018/11/22
 * @since 1.0
 */
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@Data
@Builder
@ApiModel(value = "服务查询参数", description = "用于查询服务信息")
public class ServiceQueryParam extends BasePageParam {


    /**
     * 编码
     */
    @ApiModelProperty(value = "编码", required = false, example = "lis-passport")
    private String code;

    /**
     * 名称
     */
    @ApiModelProperty(value = "名称", required = false, example = "统一认证服务")
    private String name;


}
