/*
 * Copyright (c) 2018.
 * http://www.ulabcare.com
 */

package com.mt.wms.upms.params;

import com.mt.wms.core.enums.MenuCategoryEnum;
import com.mt.wms.core.params.BasePageParam;
import com.mt.wms.core.validator.constraints.Enum;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Builder;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * <p>
 * 系统角色
 * </p>
 *
 * @author jiff
 * @date 2018/11/22
 * @since 1.0
 */
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@Data
@Builder
@ApiModel(value = "系统角色查询参数", description = "用于查询角色信息")
public class SysRoleQueryParam extends BasePageParam {

    /**
     * 角色编码
     */
    @ApiModelProperty(value = "角色编码", required = false, example = "manager")
    private String code;

    /**
     * 角色名称
     */
    @ApiModelProperty(value = "角色名称", required = false, example = "管理员")
    private String name;

    /**
     * 分类:1、pc，2、app，3、wechat，4、miniapp
     */
    @ApiModelProperty(value = "分类:1、pc，2、app，3、wechat，4、miniapp", required = false, example = "1")
    @Enum(message = "非法的角色分类", target = {MenuCategoryEnum.class})
    private Integer category;

}
